import React, { Component } from 'react';
import './Schedule.css';
import ScheduleColumn from "./ScheduleColumn";
import Calendar from 'react-calendar';

class Schedule extends Component {
    constructor(props) {
        super(props);
        this.state = {
            employees: [],
        };
        this.onClick = this.onClick.bind(this);
    }
    onClick(e) {
    }
    fetchData() {
        return fetch('http://localhost:8892/organization/rest/employee/employees-with-attendance-by-date?date=2017-01-01', {
            'method': 'POST',
            'headers': {
                'Accept': 'application/json',
                'Content-Type': 'application/json',
            },
            'mode': 'cors'
        });
    }
    componentDidMount() {
        let _this = this;
        this.fetchData()
            .then(function (response) {
                return response.json();
            })
            .then(function (data) {
                _this.setState({
                    'employees': data
                });
            });
    }
    onChangeDate() {
    }
    render() {
        return (
            <div className="schedule">
                <div className="calendar">
                    <Calendar onChange={this.onChangeDate}/>
                </div>
                {this.state.employees.map(employee => <ScheduleColumn employee={employee} />)}
            </div>
        );
    }
    query() {

    }
}
export default Schedule;