<?php

use app\common\db\Migration;

/**
 * Class m160101_000000_pg_uuid_init
 * 
 */
class m000000_000000_pg_uuid_init extends Migration
{
    /**
     * @inheritdoc
     */
    public function safeUp()
    {
        if ($this->db->driverName === 'pgsql') {
            $sql = <<<SQL
CREATE EXTENSION IF NOT EXISTS "uuid-ossp";
SQL;
            $this->db->createCommand($sql)->execute();
        } elseif ($this->db->driverName === 'mysql') {
            $this->db
                ->createCommand('ALTER DATABASE CHARACTER SET utf8 COLLATE utf8_general_ci;')
                ->execute();
        }
    }

    /**
     * @inheritdoc
     */
    public function safeDown()
    {
    }
}
