<?php
namespace app\modules\dashboard\dashlets\OrderChartDashlet\assets;

use app\common\web\AssetBundle;

/**
 * Class DashletAsset
 * @package app\modules\billing\assets
 */
class OrderChartDashletAsset extends AssetBundle
{
    /**
     * @var string
     */
    public $sourcePath = '@app/modules/dashboard/dashlets/OrderChartDashlet/resources';

    /**
     * @var array
     */
    public $js = [
        'js/dashlet.js',
    ];

    /**
     * @var array
     */
    public $css = [
    ];

    /**
     * @var array
     */
    public $depends = [
        'app\assets\AppAsset',
    ];
}
