<?php
namespace app\modules\help\port\ui\controllers;

use app\common\web\Controller;

/**
 * ServiceController
 * @package app\modules\dashboard\port\ui\controllers
 *
 * 
 */
class ServiceController extends Controller
{
    /**
     * Show information about instance configuration
     * @return string
     */
    public function actionInstance()
    {
        return $this->render('instance');
    }

    /**
     * Show information about instance data statistics
     * @return string
     */
    public function actionStatistics()
    {
        return $this->render('statistics');
    }
}
