<?php
namespace app\modules\medical\application;

use app\common\dto\Dto;
use yii\base\Model;

/**
 * Interface AttendanceServiceInterface
 * @package app\modules\medical\application
 */
interface AttendanceServiceInterface
{
    public function getAttendanceById($id);
    public function checkRecordByDatetime(string $ehrId, string $employeeId, $datetime);
    public function cancelAttendance(string $attendanceId, string $referralId);
    public function getAttendanceList(Model $form);
    public function createAttendanceBySchedule(Dto $dto);
}
