<?php
namespace app\modules\organization\assets;

use app\common\web\AssetBundle;

/**
 * Class OrganizationAsset
 * @package app\modules\organization\assets
 *
 * 
 */
class OrganizationAsset extends AssetBundle
{
    /**
     * @var string
     */
    public $sourcePath = '@app/modules/organization/resources';

    /**
     * @var array
     */
    public $js = [
        'js/organization.js',
    ];

    /**
     * @var array
     */
    public $css = [
        'css/organization.css',
    ];

    /**
     * @var array
     */
    public $depends = [
        'app\assets\AppAsset',
    ];
}
