<?php
namespace app\modules\security;

use app\modules\security\application\AclService;
use app\modules\security\application\AclServiceInterface;
use app\modules\security\application\UserService;
use app\modules\security\application\UserServiceInterface;
use yii\base\BootstrapInterface;

/**
 * Class Bootstrap
 * @package app\modules\security
 *
 * 
 */
class Bootstrap implements BootstrapInterface
{
    /**
     * @inheritdoc
     */
    public function bootstrap($app)
    {
        \Yii::$container->setSingletons([
            UserServiceInterface::class => UserService::class,
            AclServiceInterface::class => AclService::class,
        ]);
    }
}
