<?php
namespace app\port\ui\controllers;

use app\common\base\WidgetFactory;
use app\common\web\Controller;
use yii\web\HttpException;

/**
 * Class WidgetLoaderController
 * @package app\port\ui\controllers
 *
 * 
 */
class WidgetLoaderController extends Controller
{
    // TODO проверка доступа (аутен. и авториз юзера)
    /**
     * @return array
     * @throws HttpException
     */
    public function actionFactory()
    {
        $viewParams = \Yii::$app->request->getBodyParams();
        if (empty($viewParams['module'])) {
            $viewParams['module'] = WidgetFactory::BASIC_MODULE_NAME;
        }
        if (!isset($viewParams['className'])) {
            throw new HttpException(400, 'Отсутствуют обязательные параметры: module, className');
        }
        return [
            'html' => $this->renderAjaxContent(WidgetFactory::createWidget($viewParams))
        ];
    }
}
