<?php

/** @var string $key */
/** @var array $directory */

use app\modules\config\assets\DirectoryAsset;
use app\modules\config\widgets\grid\DirectoryEntityGrid;
use app\common\helpers\Html;
use app\modules\config\ConfigModule;

$this->title = ConfigModule::t('common', 'Medkey');
$this->params['breadcrumbs'][] = [
    'label' => ConfigModule::t('common', 'Directories'),
    'url' => ['/config/ui/directory'],
];
$this->params['breadcrumbs'][] = [
    'label' => Html::encode($directory['label'])
];
DirectoryAsset::register($this);
?>

<?= DirectoryEntityGrid::widget([
    'key' => $key,
]); ?>