<?php

/* @var $this \app\common\web\View */
/* @var $content string */

use app\modules\security\widgets\form\UserLoginForm;
use app\modules\security\assets\SecurityAsset;
use app\modules\security\SecurityModule;
use app\common\helpers\Html;

$this->title = SecurityModule::t('common', 'Medkey');

SecurityAsset::register($this);
?>

<style>
    div.required label:after {
        content: " ";
    }
</style>

<?php
echo Html::beginDiv([
    'class' => 'row'
]);
echo Html::beginDiv([
    'class' => 'col-xs-4 col-xs-offset-4'
]);
echo Html::beginDiv([
    'class' => 'panel panel-default',
]);
echo Html::beginDiv([
    'class' => 'panel-heading'
]);
echo '<h2 class="text-center">МИС Медкей ' .  \Yii::$app->version . '</h2>';
echo Html::endDiv();
echo Html::beginDiv([
    'class' => 'panel-body',
]);
?>
<?= UserLoginForm::widget(); ?>
<?php
echo Html::endDiv();
echo Html::endDiv();
echo Html::endDiv();
echo Html::endDiv();
?>