<?php

use app\common\db\Migration;

/**
 * Class m180326_103041_insurance_init
 */
class m180326_103041_insurance_init extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createAllTables('{{%insurance}}', [
            'code' => $this->integer(),
            'title' => $this->text(),
            'short_title' => $this->string(),
        ]);
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropAllTables('{{%insurance}}');
    }
}
