<?php
namespace app\modules\config;

use app\modules\config\application\DirectoryService;
use app\modules\config\application\DirectoryServiceInterface;
use yii\base\BootstrapInterface;

/**
 * Class Bootstrap
 * @package app\modules\config
 */
class Bootstrap implements BootstrapInterface
{
    /**
     * @inheritdoc
     */
    public function bootstrap($app)
    {
        \Yii::$container->setSingletons([
            DirectoryServiceInterface::class => DirectoryService::class,
        ]);
    }
}
