<?php
namespace app\modules\config\assets;

use app\common\web\AssetBundle;

/**
 * Class DirectoryAsset
 * @package app\modules\directory
 *
 *
 */
class DirectoryAsset extends AssetBundle
{
    public $sourcePath = '@app/modules/config/resources';
    public $js = [
        'js/directory.js',
    ];
    public $css = [
        'css/directory.css',
    ];
    public $depends = [
        'app\assets\AppAsset',
    ];
}
