<?php
namespace app\modules\crm;

use app\modules\crm\application\OrderService;
use app\modules\crm\application\OrderServiceInterface;
use app\modules\crm\workflow\OrderStateMachine;
use app\modules\crm\workflow\subscribers\OrderStateSubscriber;
use app\modules\crm\workflow\subscribers\OrderStateSubscriberInterface;
use yii\base\BootstrapInterface;

/**
 * Class Bootstrap
 * @package app\modules\crm
 *
 * 
 */
class Bootstrap implements BootstrapInterface
{
    /**
     * @inheritdoc
     */
    public function bootstrap($app)
    {
        \Yii::$container->setSingletons([
            OrderServiceInterface::class => OrderService::class,
            OrderStateMachine::class => function () { return new OrderStateMachine(); }
        ]);
    }
}
