<?php
namespace app\modules\medical\application;

use app\modules\medical\models\form\Policy as PolicyForm;
use app\modules\medical\models\finders\PolicyFilter;
use app\modules\medical\models\orm\Policy;
use yii\data\DataProviderInterface;

/**
 * Interface PolicyServiceInterface
 * @package app\modules\medical\application
 */
interface PolicyServiceInterface
{
    /**
     * @param PolicyFilter $form
     * @return DataProviderInterface
     */
    public function getPolicyList(PolicyFilter $form);
    public function addPolicy(PolicyForm $form) : Policy;
    public function updatePolicy(string $id, PolicyForm $form) : Policy;
    public function getPolicyForm($raw);
}
