<?php
namespace app\modules\medical\models\finders;

use app\common\base\Model;

/**
 * Class AttendanceFinder
 * @package app\modules\medical\models\finders
 *
 * 
 */
class AttendanceFilter extends Model
{
    public $ehrId;
    public $status;
    public $datetime;
    public $type;
    public $updatedAt;
    public $referralId;
    public $patientId;
    public $employeeId;

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [ ['ehrId', 'referralId', 'patientId', 'employeeId', 'datetime', 'updatedAt'], 'string', 'on' => 'search' ],
            [ ['status', 'type'], 'integer', 'on' => 'search' ],
        ];
    }
}
