<?php
namespace app\modules\medical\models\orm;

use app\common\db\ActiveRecord;
use app\modules\organization\models\orm\Employee;

/**
 * Class Speciality
 * @package app\modules\medical\models\orm
 *
 * 
 */
class Speciality extends ActiveRecord
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [ ['title', 'short_title', 'description'], 'string' ]
        ];
    }

//    public function getEmployeeToSpeciality()
//    {
//        return $this->hasMany(EmployeeToSpeciality::class, ['speciality_id' => 'id']);
//    }

    public function getEmployees()
    {
        return $this->hasMany(Employee::class, ['speciality_id' => 'id']);
    }

    /**
     * @inheritdoc
     */
    public function attributeLabelsOverride()
    {
        return [
            'title' => 'Название',
            'short_title' => 'Короткое название',
            'description' => 'Описание',
        ];
    }
}
