<?php
namespace app\modules\organization;

use app\modules\organization\application\EmployeeService;
use app\modules\organization\application\EmployeeServiceInterface;
use yii\base\BootstrapInterface;

/**
 * Class Bootstrap
 * @package app\modules\organization
 */
class Bootstrap implements BootstrapInterface
{
    /**
     * @inheritdoc
     */
    public function bootstrap($app)
    {
        \Yii::$container->setSingletons([
            EmployeeServiceInterface::class => EmployeeService::class,
        ]);
    }
}
