<?php
namespace app\modules\security\assets;

use app\common\web\AssetBundle;

/**
 * Class SecurityAsset
 * @package app\modules\security
 *
 * 
 */
class SecurityAsset extends AssetBundle
{
    public $sourcePath = '@app/modules/security/resources';
    public $js = [
        'js/security.js',
    ];
    public $css = [
        'css/security.css',
    ];
    public $depends = [
        'app\assets\AppAsset',
    ];
}
