<?php
namespace app\port\rest\controllers;

use app\common\db\ActiveRecordRegistry;
use app\common\rest\Controller;
use yii\base\Module;

/**
 * @todo этот контроллер доступен суперпользователю по умолчанию.
 * Class ActiveRecordRegistryController
 * @package app\port\rest\controllers
 *
 * 
 */
class ActiveRecordRegistryController extends Controller
{
    /**
     * @var ActiveRecordRegistry
     */
    public $registry;


    /**
     * ActiveRecordRegistryController constructor.
     * @param string $id
     * @param Module $module
     * @param ActiveRecordRegistry $registry
     * @param array $config
     */
    public function __construct($id, Module $module, ActiveRecordRegistry $registry, array $config = [])
    {
        $this->registry = $registry;
        parent::__construct($id, $module, $config);
    }

    public function actionRegistry($module)
    {
        return ActiveRecordRegistry::registry($module);
    }
}
