<?php
namespace app\seeds\install;

use app\common\helpers\ArrayHelper;
use app\common\seeds\Seed;
use app\modules\security\models\orm\User as UserOrm;

class User extends Seed
{
	public function run()
	{
        $aclRoles = $this->call('acl_role_seed')->models;
		$this->model = UserOrm::class;

		$this->data = [
		    [
		        'login' => 'admin',
                'password_hash' => '$2y$13$R92XEkHT8K4tDzyVlMOZteRSHPKKEIhZWgHn4lL4qJf.EuzXeyPl2',
                'acl_role_id' => ArrayHelper::findBy($aclRoles, ['name' => 'admin'])->id
            ],
        ];
	}
}
